StartupEvents.registry("block", (event) => {
	event.create('v_borne:incomplete_unset_fortified_planks')
	event.create('v_borne:incomplete_quasihexone_casing').soundType('netherite_block')
	event.create('v_borne:incomplete_refined_mercury_stone').soundType('stone')
	event.create('v_borne:incomplete_steel_foundation').soundType('metal')
	event.create('v_borne:unfinished_salt_block').soundType('gravel')
	event.create('v_borne:unfinished_gabbro').soundType('stone')
	event.create('v_borne:unfinished_unrefined_bauxite').soundType('stone')
	event.create('v_borne:incomplete_fission_reactor_casing').soundType('metal')
	event.create('v_borne:incomplete_sps_casing').soundType('metal')
	event.create('v_borne:incomplete_fusion_reactor_frame').soundType('metal')

	event.create("v_borne:biolithic_aggregate")
	.displayName("Biolithic Aggregate")
	.material('metal')
	.hardness(8.0)
	.resistance(2.0)
	.requiresTool(false)
	.tagBlock("mineable/pickaxe")
	.tagBlock("forge:storage_blocks")
	.fullBlock(true)
	.soundType('mud_bricks')
	
	event.create("v_borne:compact_gravel")
	.displayName("Compact Gravel")
	.material('gravel')
	.hardness(1.5)
	.resistance(1.0)
	.requiresTool(false)
	.tagBlock("mineable/shovel")
	.tagBlock("forge:storage_blocks/gravel")
	.fullBlock(true)
	.soundType('gravel')
	
	event.create("v_borne:compact_clay")
	.displayName("Compact Clay")
	.material('clay')
	.hardness(1.0)
	.resistance(0.6)
	.requiresTool(false)
	.tagBlock("mineable/shovel")
	.tagBlock("forge:storage_blocks/clay")
	.fullBlock(true)
	.soundType('gravel')
	
	event.create("v_borne:mercury_gravel")
	.displayName("Mercury Gravel")
	.material('gravel')
	.hardness(4)
	.resistance(0.8)
	.requiresTool(false)
	.tagBlock("mineable/shovel")
	.fullBlock(true)
	.soundType('gravel')
	
	event.create("v_borne:chromatic_block")
	.displayName("Chromatic Block")
	.material('stone')
	.hardness(8.0)
	.resistance(3.0)
	.requiresTool(true)
	.tagBlock("mineable/pickaxe")
	.tagBlock("forge:storage_blocks")
	.fullBlock(true)
	.soundType('metal')
	
	event.create("v_borne:pod_shell")
	.displayName("Drop Pod Shell")
	.material('metal')
	.hardness(150.0)
	.resistance(8.0)
	.fullBlock(true)
	.requiresTool(true)
	.tagBlock("mineable/pickaxe")
	.tagBlock("northstar:tier_2_heat_resistance")
	.soundType('netherite_block')
	
	event.create("v_borne:silver_block")
	.displayName("Block of Silver")
	.material('metal')
	.hardness(3.0)
	.resistance(1.5)
	.requiresTool(true)
	.tagBlock("mineable/pickaxe")
	.tagBlock("forge:storage_blocks")
	.fullBlock(true)
	.soundType('metal')
	
	event.create("v_borne:compressed_xp")
	.displayName("Compressed Experience")
	.material('metal')
	.hardness(8.0)
	.resistance(3.0)
	.requiresTool(true)
	.tagBlock("mineable/pickaxe")
	.tagBlock("forge:storage_blocks")
	.fullBlock(true)
	.lightLevel(1)
	.soundType('amethyst_cluster')
	
	event.create("v_borne:refined_mercury_stone")
	.displayName("Refined Mercury Stone")
	.material('stone')
	.hardness(5.0)
	.resistance(1.2)
	.requiresTool(true)
	.tagBlock("mineable/pickaxe")
	.fullBlock(true)
	.soundType('stone')
	
	event.create("v_borne:fortified_planks")
	.displayName("Fortified Planks")
	.material('wood')
	.hardness(12.0)
	.resistance(6.5)
	.requiresTool(true)
	.tagBlock("mineable/pickaxe")
	.fullBlock(true)
	.soundType('netherite_block')
	
	event.create("v_borne:unset_fortified_planks")
	.displayName("Unset Fortified Planks")
	.material('wood')
	.hardness(3.0)
	.resistance(1.5)
	.requiresTool(false)
	.tagBlock("mineable/pickaxe")
	.fullBlock(true)
	.soundType('mud_bricks')
	
	event.create("v_borne:unrefined_bauxite")
	.displayName("Unrefined Bauxite")
	.material('stone')
	.hardness(3.5)
	.resistance(1.0)
	.requiresTool(true)
	.tagBlock("mineable/pickaxe")
	.fullBlock(true)
	.soundType('deepslate')
	
	event.create("v_borne:creative_casing")
	.displayName("Quasi-Hexone Casing")
	.material('stone')
	.hardness(16.0)
	.resistance(10.0)
	.requiresTool(true)
	.tagBlock("mineable/pickaxe")
	.fullBlock(true)
	.soundType('netherite_block')
	
})	